Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mysql.jdbc
Class WatchableWriter

    java.lang.Object
      java.io.Writer
          java.io.CharArrayWriter
              com.mysql.jdbc.WatchableWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable

     class WatchableWriter

extends java.io.CharArrayWriter

A java.io.Writer used to write unicode data into Blobs and Clobs

Field Summary

Fields inherited from class java.io.CharArrayWriter
`buf, count`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`WatchableWriter()`

Method Summary
`void` | `close()`
`void` | `setWatcher(WriterWatcher watcher)` DOCUMENT ME!

Methods inherited from class java.io.CharArrayWriter
`append, append, append, flush, reset, size, toCharArray, toString, write, write, write, writeTo`

Methods inherited from class java.io.Writer
`write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WatchableWriter

    WatchableWriter()

Method Detail

### close

    public void close()

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.CharArrayWriter`
  See Also:
    `Writer.close()`

### setWatcher

    public void setWatcher(WriterWatcher watcher)

  DOCUMENT ME!

  Parameters:
    `watcher` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD